HTAGS(1)

NAME
htags - generate hypertext from C, Yacc and Java source code

SYNOPSIS
htags [-a] [-c] [-f] [-h] [-l] [-n] [-v] [-w] [-d tagdir] [-t title] [dir]

DESCRIPTION
Htags makes hypertext from C, Yacc and Java source code using GLOBAL database (GTAGS, GRTAGS).

In advance of using this command, you must execute gtags(1) from the root directory of the source tree. Then you can execute htags from the same place. Htags makes an HTML directory and generates hypertext in it.

You can start browsing from 'HTML/index.html'. Once the hypertext is generated, you can move it anywhere and browse it in any browsers.

-a  Make an alphabetical function index, suitable for a large project.

-c  Compress html files by gzip(1). You need to set up an HTTP server so that gzip(1) is invoked for each compressed files. See skelton file 'HTML/.htaccess.skel' that is generated by htags.

-f  Support an input form and a dynamic index with a CGI program. You need to set up an HTTP server for this.

-h  Add title header frame. By default, doesn't add this.

-l  Make a name tag(<A NAME=line number>) for each line, so that other hypertext can link to any line of this hypertext. By default, htags makes it only for lines that are referred to by an object.

-n  Print the line numbers (they are not printed by default).

-v  Verbose mode.

-w  Print a warning message.

-d tagdir
    Specifies the directory in which GTAGS and GRTAGS exist. The default is the current directory.

-t title
    The title of this hypertext. Defaults to the last component of the current path.

dir The directory in which hypertext is generated. The default is the current directory.

EXAMPLES
% cd /usr/src/sys # gtags -o # htags -fnvat 'Welcome to FreeBSD kernel source tour!' % lynx HTML/index.html

FILES
HTML/index.html
    Index file.
GTAGS
    Tags file for function definitions.
GRTAGS
    Tags file for function references.

ENVIRONMENT
The following environment variables affect the execution of htags.

TMPDIR
    If this variable is set, its value is used as the directory to make temporary files. The default is /tmp.

DIAGNOSTICS
Htags exits with a non 0 value if an error occurred, 0 otherwise.

SEE ALSO
btreeop(1), global(1), gtags(1).

BUG
Generated hypertext is VERY LARGE. In advance, check the space of your disk.

AUTHORS
Shigio Yamaguchi (shigio@wafu.netgate.net)

HISTORY
The htags command appeared in FreeBSD 2.2.2.